------------------------------------------------------------------------------
-- MakeMeGetMyMain - Alarms you when something happens to your character
------------------------------------------------------------------------------
-- Trigger_Fight.lua - Triggered if character is infight
--
-- Author: Expelliarm5s / November 2022 / All Rights Reserved
--
-- Version 1.1.22
------------------------------------------------------------------------------
-- luacheck: ignore 212 globals DLAPI

local addonName, addon = ...
local modle = addon:NewModule("Fight", "AceEvent-3.0", "AceConsole-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale(addonName)
-- local private = {}
------------------------------------------------------------------------------

function modle:ModuleName()
	return modle.moduleName
end

function modle:ToggleMod()
	addon.db.global[modle.moduleName] = addon.db.global[modle.moduleName] or false
	addon.db.global[modle.moduleName] = not addon.db.global[modle.moduleName]
	if addon.db.global[modle.moduleName] then
		addon:Printf(L["Module %s enabled"], modle.moduleName)
	else
		addon:Printf(L["Module %s disabled"], modle.moduleName)
	end
end

function modle:EnableMod()
	addon.db.global[modle.moduleName] = true
	addon:Printf(L["Module %s enabled"], modle.moduleName)
end

function modle:DisableMod()
	addon.db.global[modle.moduleName] = false
	addon:Printf(L["Module %s disabled"], modle.moduleName)
end

function modle:Login()
	modle:RegisterEvent("PLAYER_REGEN_DISABLED")
end

function modle:ModuleIcon()
	if WOW_PROJECT_ID and WOW_PROJECT_ID == 2 then
		return "INTERFACE\\ICONS\\Ability_Warrior_Charge"
	else
		return "INTERFACE\\ICONS\\INV_Weapon_ShortBlade_03"
	end
end

function modle:TriggerName()
	return L["Character got into fight!"]
end

function modle:TriggerDesc()
	return L["Alarm fires on getting in fight."]
end

function modle:PLAYER_REGEN_DISABLED(event)
	addon:DebugPrintf(modle.moduleName .. "~  %s", tostring(event))
	if event == "PLAYER_REGEN_DISABLED" then
		if addon.isEnabled and addon.db.global[modle.moduleName] then
			addon:DebugPrintf(modle.moduleName .. "~  -> GUI:Fire(%s)", modle.moduleName)
			addon:Printf("Module " .. modle.moduleName .. ": " .. modle:TriggerName())
			if addon.GUI.Fire then
				addon.GUI:Fire(modle.moduleName)
			end
		end
	end
end

-- EOF